---@meta

---@class FConcertPropertyChainWrapper
---@field PropertyChain FConcertPropertyChain
local FConcertPropertyChainWrapper = {}



---@class FConcertPropertyChainWrapperContainer
---@field PropertyChains TArray<FConcertPropertyChainWrapper>
local FConcertPropertyChainWrapperContainer = {}



---@class UConcertReplicationBlueprintFunctionLibrary : UBlueprintFunctionLibrary
local UConcertReplicationBlueprintFunctionLibrary = {}

---@param PropertyChain FConcertPropertyChainWrapper
---@return FString
function UConcertReplicationBlueprintFunctionLibrary:ToString(PropertyChain) end
---@param PathToProperty FConcertPropertyChainWrapper
---@return boolean
function UConcertReplicationBlueprintFunctionLibrary:PropertyChainPredicate__DelegateSignature(PathToProperty) end
---@param Class UClass
---@param PathToProperty TArray<FName>
---@param Result FConcertPropertyChainWrapper
---@return boolean
function UConcertReplicationBlueprintFunctionLibrary:MakePropertyChainByLiteralPath(Class, PathToProperty, Result) end
---@param ToTest FConcertPropertyChainWrapper
---@param Parent FConcertPropertyChainWrapper
---@return boolean
function UConcertReplicationBlueprintFunctionLibrary:IsDirectChildOf(ToTest, Parent) end
---@param ToTest FConcertPropertyChainWrapper
---@param Parent FConcertPropertyChainWrapper
---@return boolean
function UConcertReplicationBlueprintFunctionLibrary:IsChildOf(ToTest, Parent) end
---@param Path FConcertPropertyChainWrapper
---@return TArray<FName>
function UConcertReplicationBlueprintFunctionLibrary:GetPropertyStringPath(Path) end
---@param Path FConcertPropertyChainWrapper
---@param Index int32
---@return FName
function UConcertReplicationBlueprintFunctionLibrary:GetPropertyFromRoot(Path, Index) end
---@param Path FConcertPropertyChainWrapper
---@param Index int32
---@return FName
function UConcertReplicationBlueprintFunctionLibrary:GetPropertyFromLeaf(Path, Index) end
---@param Class UClass
---@param Filter FGetPropertiesInFilter
---@return TArray<FConcertPropertyChainWrapper>
function UConcertReplicationBlueprintFunctionLibrary:GetPropertiesIn(Class, Filter) end
---@param Parent FConcertPropertyChainWrapper
---@param Class UClass
---@param bOnlyDirect boolean
---@return TArray<FConcertPropertyChainWrapper>
function UConcertReplicationBlueprintFunctionLibrary:GetChildProperties(Parent, Class, bOnlyDirect) end
---@param Class UClass
---@return TArray<FConcertPropertyChainWrapper>
function UConcertReplicationBlueprintFunctionLibrary:GetAllProperties(Class) end


